Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358122 - glusterfsd writev failed with "Broken pipe" error.
Summary: glusterfsd writev failed with "Broken pipe" error.
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: transport
Version: 3.6.9
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 06:29 UTC by bluestar
Modified: 2016-09-20 10:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-02 12:24:01 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
160718-sn-0.rar is the packets which tcpdump on the glusterfsd' host. (deleted)
2016-07-20 06:29 UTC, bluestar
no flags Details

Description bluestar 2016-07-20 06:29:31 UTC
Created attachment 1181922 [details]
160718-sn-0.rar is the packets which tcpdump on the glusterfsd' host.

Description of problem:
You can check below the tcp flow:
tcp port 169.254.0.11:1006 <-> 169.254.0.20:49154  

1. 169.254.0.20 is the glusterfs server, send the FIN packets to client(169.254.0.11).

2. According to below logs, remote glusterfs client didn't close the fd, why glusterfsd can receive "Broken pipe" error? does it cause glusterfsd close the fd?


[2016-07-18 08:38:38.416273] W [socket.c:620:__socket_rwv] 0-tcp.config-server: writev on 169.254.0.11:1006 failed (Broken pipe)
[2016-07-18 08:38:38.416280] I [socket.c:2353:socket_event_handler] 0-transport: disconnecting now
[2016-07-18 08:38:38.416293] I [server.c:518:server_rpc_notify] 0-config-server: disconnecting connection from LB-1-716-2016/07/18-07:09:40:190843-config-client-0-0-5
[2016-07-18 08:38:38.416302] I [client_t.c:417:gf_client_unref] 0-config-server: Shutting down connection LB-1-716-2016/07/18-07:09:40:190843-config-client-0-0-5

Version-Release number of selected component (if applicable):
glusterfs-3.6.9

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 hari gowtham 2016-07-26 12:24:44 UTC
Can u please attach the brick logs so that it will help us debug?

Comment 2 Niels de Vos 2016-08-02 12:24:01 UTC
Please provide the logs, or clear steps to reproduce the problem. You should be able to reopen the bug when updating it with the needed details. Otherwise you can also send a request to gluster-users@gluster.org

Comment 3 bluestar 2016-09-20 10:57:30 UTC
you may close the issue.


Note You need to log in before you can comment on or make changes to this bug.